API referenceReferenceDocuments
Document relation — create
Create a document relation between two documents in the same business (source and target, with roles and relation type).
Path Parameters
business_slug*string
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
document_id*integer
Identifier of the target document. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/business/string/document/0/relation/" \ -H "Content-Type: application/json" \ -d '{ "related_document": 9303, "role": "ACCRUAL", "type": "ACCRUAL_PAIR" }'{ "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "related_document": 0, "related_document_summary": { "property1": null, "property2": null }, "description": "string", "role": "ACCRUAL", "type": "ACCRUAL_PAIR", "source_document_signals": { "property1": null, "property2": null }, "related_document_signals": { "property1": null, "property2": null }}